;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; SETUP for both at home and at IMADA
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(if (or (eq setup-location 'IMADA) (eq setup-location 'HOME))
    (progn
      (load-library "enable-auc-tex")
      (imada-terminal-mode) ;; initiate terminal
;      (autoload 'vdmde "/usr/local/lib/vdm/vdmde-19"
;        "IFAD VDM-SL Development Environment" t)
      (load-library "templates")
))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; SETUP only for IFAD
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(if (eq setup-location 'IFAD)
    (progn
      (setq compile-command "make OPTIMIZE=\"\" vdmde")
      (autoload 'tcl-mode "/home/blackie/lib/tcl-mode" "Min Tcl-mode" t)
))
      
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Decide which mode to start up, based on the file name
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(setq auto-mode-alist (append (list
        '("^\\.emacs$" . emacs-lisp-mode)
        '("\\.py$" . python-mode)
        '("\\.html" . html-helper-mode)
        '("\\.template" . tcl-mode)
        '("\\.wishrc" . tcl-mode)
        '("\\.y$" . text-mode)
        '("\\.s$" . text-mode)
        '("[Mm]akefile"  . makefile-mode)
        ) auto-mode-alist))
(setq interpreter-mode-alist (append (list
        '("perl" . perl-mode)
        '("tclsh" . tcl-mode)
        '("wish" . tcl-mode)
        '("tcsh" . text-mode)
        '("python" . python-mode)
) interpreter-mode-alist))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Common configurations
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;(setq default-major-mode 'text-mode)
;(mouse-avoidance-mode 'jump)
(setq tcl-indent-level 2)
(autoload 'tim-assign "tinymacro" "" t)

;;; complete * in find-file
(load-library "complete")

;;; turn on line numbers
(line-number-mode t)

(setq next-line-add-newlines nil)
(setq default-printer "d3")

;;; this will insert a newline in every buffer
(setq require-final-newline t)

;;; Seting the outline prefix global.
(setq outline-minor-mode-prefix "\C-o")

;;; Dette skal ikke vre med nr jeg bruger hilit-19
;;; (global-set-key "
" (quote newline-and-indent))

;;; search case sensitive
(setq default-case-fold-search nil)

;;; Configuration of backups
(setq backup-by-copying nil)
(setq backup-by-copying-when-linked nil)
(setq backup-by-copying-when-mismatch t)

(load-library "paren")

;; dont's edit the same file in two different buffers
(setq find-file-existing-other-name t)

;; convert tabs to spaces!
(setq-default indent-tabs-mode nil)

(load-library "uncompress")


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Flgende kommer fra LINUX hjemme!!!
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;(standard-display-european t)
;(require 'iso-syntax)
(keyboard-translate ?\ ?\)
(keyboard-translate ?\ ?\)
(setq-default TeX-master nil)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; fra IFAD;; indent only 2 spaces, and wit space instead of tabs
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;(global-set-key "	" (quote self-insert-command))
(setq-default tab-width 2)



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Local Variables:
;;; eval: (defun byte-compile-this-file () (write-region (point-min) (point-max) buffer-file-name nil 't) (byte-compile-file buffer-file-name) nil)
;;; write-file-hooks: (byte-compile-this-file)
;;; End:
