;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; date
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun date ()
  "Insert a date label into the current buffer"
  (interactive)
  (insert (current-time-string) " -- " (user-full-name)))


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; flgende funktion bruger jeg i dm18, til at
;;; starte nye test filer op.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun new-test-case ()
  (interactive)
  (progn
    (setq nos
          (if (< file-index-no 10)
              (concat "00" (number-to-string file-index-no))
            (if (< file-index-no 100)
                (concat "0" (number-to-string file-index-no))
              (number-to-string file-index-no))))
    
    (setq name (concat "test-" nos ".pas"))
    (find-file "test")
    (write-file name)
    (setq file-index-no (+ file-index-no 1))))

(defun set-test-index (index)
  (interactive "nPlease give me the start index: ")
  (setq file-index-no index))
(global-set-key [f11] 'new-test-case)
(define-key home-map [f11] 'set-test-index)


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; split string to list
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;; This function split a string into a list, spliting on
;;; 'char'
;;; ex: (split-string "/" "abc/defg/hij") ==> ("abc" "defg" "hij")
(defun split-string (char string)
  (split-string* char "" string))

(defun split-string* (char first last)
  (if (= 0 (length last))
      (list first)
    (if (char-equal (aref last 0) (string-to-char char))
        (cons first (split-string* char "" (substring last 1)))
        (split-string* char
                       (concat first (substring last 0 1))
                       (substring last 1)))))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Things from comp.emacs.source
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun goto-column (arg)
  (interactive "NCol: ")
  (move-to-column arg nil))


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Local Variables:
;;; eval: (defun byte-compile-this-file () (write-region (point-min) (point-max) buffer-file-name nil 't) (byte-compile-file buffer-file-name) nil)
;;; write-file-hooks: (byte-compile-this-file)
;;; End:
