(defun macro-region (start end command)
  "This function evaluate a given function (or the last defined macro)
on the region. Ie. it will continue until the point is position
outside the region."
  (interactive "r\naCommand name (default:last keyboard macro) ")
  (goto-char end)
  (let ((mark (point-marker)))
    (goto-char start)
    (while (< (point) (marker-position mark))
    (if (not (fboundp command))
        (call-last-kbd-macro)
      (command-execute command)))))
